Skip to main content

Performs an advanced search for customers by first name, last name, email or phone number

GET 

/rest/entrypoint/customers/advancedSearch

Performs an advanced search for customers by first name, last name, email or phone number. These fields can be combined or used individually. The search string will be split based on spaces (except for phone numbers, which are allowed to contain spaces). Use the options to specify the type of search: "EXACT", "STARTS_WITH" or "CONTAINS". This specifies if the search string needs to exactly match the stored value, only needs to match the start of the stored value, or only needs to match any part of the stored value. All search values will be searched for independently, and they must all match for a customer to be returned. In order to match phone number a search string length of 2 is required.

Example of usage :

curl -i -u user:password -X GET http://orchestra-ip:orchestra-port/rest/entrypoint/customers/advancedSearch?text=searchString&option=STARTS_WITH

Request​

Responses​

A list of Customer instances found during the search